#!/bin/sh

QMVER="1.03"
PVER=$QMVER

cd qmail-$QMVER || exit

##################################################
# BUGFIXES
##################################################
patch -p0 < ../patches/large-dns.diff       # Handle DNS zones bigger than
                                            # 512 bytes

patch -p1 < ../patches/date-localtime.diff  # Send messages using local date
                                            # and time instead of GMT

patch -p0 < ../patches/ns-progress.diff     # Download progres indicator
                                            # works in Netscape when
					    # downloading pop3 messages

##################################################
# NEW FEATURES
##################################################
patch -p1 < ../patches/qmqpc-timeout.diff   # Make timeouts for qmqp managable

patch -p1 < ../patches/bouncecontrol.diff   # Allow you to change text
                                            # and subject for bounce messages

patch -p0 < ../patches/bouncemaxbytes.diff  # Limit bounce size to 50000,
                                            # can be tuned in
					    # control/bouncemaxbytes

patch -p0 < ../patches/quotas11.diff        # Return permanent error when
                                            # user quota is exceeded

##################################################
# ANTI SPAM
##################################################
#
# This includes \r\n fix
# mfcheck
# tarpit
# wilmat
# relay extras
#
cp ../spamcontrol/* .
./spamcontrol.sh # See http://www.fehcom.de/qmail/spam.html for more info
                 # about this patches
